function bhMover_MoveItem(ctrlSource, ctrlTarget) 
{
	var Source = document.getElementById(ctrlSource);
    var Target = document.getElementById(ctrlTarget);

    // Make sure both Listboxs are present
    if ((Source != null) && (Target != null)) 
    {
		// Loop through all the items selected
		// since the ListBoxes are configured to have
		// multiple selection mode
		while ( Source.options.selectedIndex >= 0 ) 
		{
			// Create a new instance of ListItem
			var newOption = new Option();
            newOption.text = Source.options[Source.options.selectedIndex].text;
            newOption.value = Source.options[Source.options.selectedIndex].value;
            
            //Append the item in Target    
            Target.options[Target.length] = newOption;
            
            // Add the new text|value to the Hidden Field _ADDED of the Target Listbox
            AddListItem(Target,newOption.text, newOption.value);
            
            //Remove the item from Source
            Source.remove(Source.options.selectedIndex);
            
			// Add the index of the item to be removed into the 
            // Hidden Field _REMOVED
            RemoveListItem(Source, newOption.value);

		}
    }
}